CIF_DDL1_DIC_CHECK(1)

NAME
cif_ddl1_dic_check - check DDL1 dictionaries against a set of best practice rules.

SYNOPSIS
cif_ddl1_dic_check --options cif_core.dic

DESCRIPTION
Check DDL1 dictionaries against a set of best practice rules.

OPTIONS
-d, --dictionaries 'cif_core.dic,cif_cod.dic'
                  A list of CIF dictionary files that conform to the DDL1.
                  Dictionaries in this list are only used to resolve
                  category and data item references provided in main
                  checked dictionary. List elements are separated
                  by the comma (',') symbol. In case the file path
                  of the included dictionary contains the comma symbol,
                  the --add-dictionary option should be used.

-D, --add-dictionary 'additional DDL1 dictionary.dic'
                  Add an additional DDL1 dictionary to the list.

--clear-dictionaries
                  Remove all DDL1 dictionaries from the list.

--check-references-in-descriptions
                  Check if the data names referenced in the free-text
                  descriptions of other data items are defined in the
                  dictionary. This check use ad hoc code to recognise
                  data names and thus might produce false-negatives.

--no-check-references-in-descriptions
                  Do not check if the data names referenced in the
                  free-text descriptions of other data items are defined
                  in the dictionary (default).

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_ddl1_dic_check bugs using e-mail: cod-bugs@ibt.lt